Loading...
Searching...
No Matches
SPHLFLogIterator_t Struct Reference

Instance of a Lock Free Logger Iterator. More...

`#include <sphlflogger.h>`

## Public Attributes

SPHLFLogger_t | logger
longPtr_t | current
longPtr_t | free
longPtr_t | start_log
longPtr_t | end_log
unsigned int | options

## Detailed Description

Instance of a Lock Free Logger Iterator.

Contains fields required to access entries in the containing logger and track the current entries and detect end conditions (last complete entry in the logger).

Iterators should be allocated in private (local stack) storage to allow concurrent access from multiple threads.

## Member Data Documentation

## current

longPtr_t SPHLFLogIterator_t::current

address of the current Logger entry for this Iterator

## end_log

longPtr_t SPHLFLogIterator_t::end_log

address of the end of the Logger space

## free

longPtr_t SPHLFLogIterator_t::free

address of the next free Logger entry

## logger

SPHLFLogger_t SPHLFLogIterator_t::logger

address of the Logger this Iterator scanning

## options

unsigned int SPHLFLogIterator_t::options

Option flags and status

## start_log

longPtr_t SPHLFLogIterator_t::start_log

address of the start of the Logger space

The documentation for this struct was generated from the following file:

- src/sphlflogger.h